Package wx :: Class GBSpan

[frames | no frames]

## Type GBSpan

    object --+
             |
            GBSpan

This class is used to hold the row and column spanning attributes of items in a `wx.GridBagSizer`. wxPython has typemaps that will automatically convert from a 2-element sequence of integers to a wx.GBSpan, so you can use the more pythonic representation of the span nearly transparently in Python code.

Method Summary
GBSpan | ``__init__`(self, rowspan, colspan)` Construct a new wxGBSpan, optionally setting the rowspan and colspan.
| `__del__(self)`
bool | ``__eq__`(self, other)` Compare wxGBSpan for equality.
| `__getitem__(self, index)`
| `__len__(self)`
bool | ``__ne__`(self, other)` Compare GBSpan for inequality.
| `__nonzero__(self)`
| `__reduce__(self)`
| `__repr__(self)`
| `__setitem__(self, index, val)`
| `__str__(self)`
| ``asTuple`(*args, **kwargs)` asTuple is deprecated, use `Get` instead
PyObject | `Get(self)`
int | `GetColspan(self)`
int | `GetRowspan(self)`
| `Set(self, rowspan, colspan)`
| `SetColspan(self, colspan)`
| `SetRowspan(self, rowspan)`

Property Summary
| `colspan`
| `rowspan`
| `thisown`: The membership flag

Class Variable Summary
`bool` | `__safe_for_unpickling__` = `True`

Method Details

### __init__(self, rowspan=1, colspan=1)
(Constructor)

Construct a new wxGBSpan, optionally setting the rowspan and colspan. The default is (1,1). (Meaning that the item occupies one cell in each direction.

  Parameters:
    `rowspan`
    (type=int)

    `colspan`
    (type=int)

  Returns:
    GBSpan
  Overrides:
    `__builtin__.object.__init__`

### __eq__(self, other)
(Equality operator)

Compare wxGBSpan for equality.

  Parameters:
    `other`
    (type=PyObject)

  Returns:
    bool

### __ne__(self, other)

Compare GBSpan for inequality.

  Parameters:
    `other`
    (type=PyObject)

  Returns:
    bool

### asTuple(*args, **kwargs)

asTuple is deprecated, use `Get` instead

Property Details

### colspan

  Get Method:
    `GetColspan`(self)
  Set Method:
    `SetColspan`(self, colspan)

### rowspan

  Get Method:
    `GetRowspan`(self)
  Set Method:
    `SetRowspan`(self, rowspan)

### thisown

The membership flag

Class Variable Details

### __safe_for_unpickling__

  Type:
    `bool`
  Value:

        True

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:20 2007 | http://epydoc.sf.net